GNU bug report logs - #24557
python importer: extend requirements import

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <ngillmann@HIDDEN>; dated Wed, 28 Sep 2016 16:37:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 24557 <at> debbugs.gnu.org:


Received: (at 24557) by debbugs.gnu.org; 29 Sep 2016 11:25:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 29 07:25:40 2016
Received: from localhost ([127.0.0.1]:38561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpZTA-0006RO-4S
	for submit <at> debbugs.gnu.org; Thu, 29 Sep 2016 07:25:40 -0400
Received: from dd1012.kasserver.com ([85.13.128.8]:41395)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dannym@HIDDEN>) id 1bpZT8-0006RG-BS
 for 24557 <at> debbugs.gnu.org; Thu, 29 Sep 2016 07:25:38 -0400
Received: from localhost (178.112.99.13.wireless.dyn.drei.com [178.112.99.13])
 by dd1012.kasserver.com (Postfix) with ESMTPSA id B1FF21CA0A95;
 Thu, 29 Sep 2016 13:25:36 +0200 (CEST)
Date: Thu, 29 Sep 2016 13:25:32 +0200
From: Danny Milosavljevic <dannym@HIDDEN>
To: ng0 <ngillmann@HIDDEN>
Subject: Re: bug#24557: python importer: extend requirements import
Message-ID: <20160929132532.3792087c@HIDDEN>
In-Reply-To: <87wphwj835.fsf@HIDDEN>
References: <87wphwj835.fsf@HIDDEN>
X-Mailer: Claws Mail 3.14.0 (GTK+ 2.24.30; x86_64-unknown-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24557
Cc: 24557 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Wed, 28 Sep 2016 16:35:26 +0000
ng0 <ngillmann@HIDDEN> wrote:

> One example:
>=20
> ng0@shadowwalker ~$ guix import pypi hyperkitty
>=20
> Starting download of /tmp/guix-file.yrqmcv
> >From https://pypi.python.org/packages/47/2d/cc2adf4bc0ed7bb4189b3146dde9=
21c9a6ecc33f0f87c96c744d89bab154/HyperKitty-1.0.3.tar.gz... =20
>  =E2=80=A61.0.3.tar.gz  1.5MiB              1.1MiB/s 00:01 [#############=
#######] 100.0%
> tar: HyperKitty-1.0.3/requirements.txt: Not found in archive
> tar: Exiting with failure status due to previous errors
> guix import: warning: 'tar xf' failed with exit code 512
> (package
>   (name "python-hyperkitty")
>   (version "1.0.3")
>=20
>=20
> When you look at the contained setup.py of hyperkitty, it has this
> defined in setup.py.
>=20
> # Requirements REQUIRES =3D [
> etc etc
>=20
> I've seen this in some variations.
>=20
> The python importer should be extended to include these not very unusual
> cases.

This could be done by making the Python importer do something like

  hk/HyperKitty-1.0.3 $ python3 setup.py egg_info
  hk/HyperKitty-1.0.3 $ cat HyperKitty.egg-info/requires.txt=20

if (!) the project uses setuptools.

(Unfortunately there seems to be no command line option to directly read th=
e keyword argument "install_requires" by setup.py - although there are comm=
and line options for all the other keyword arguments - weird... That's why =
it's necessary to make it write them egg_info files)




Information forwarded to bug-guix@HIDDEN:
bug#24557; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Sep 2016 16:36:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 28 12:36:44 2016
Received: from localhost ([127.0.0.1]:38091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bpHqe-0001Ot-GK
	for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:36:44 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ng0@HIDDEN>) id 1bpHqb-0001Oc-6c
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:36:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqV-00012k-5L
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:36:36 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:52120)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqV-00012B-2c
 for submit <at> debbugs.gnu.org; Wed, 28 Sep 2016 12:36:35 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:49379)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqS-0006qa-Qi
 for bug-guix@HIDDEN; Wed, 28 Sep 2016 12:36:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqO-0000zM-8z
 for bug-guix@HIDDEN; Wed, 28 Sep 2016 12:36:31 -0400
Received: from aibo.runbox.com ([91.220.196.211]:36172)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqO-0000va-1Q
 for bug-guix@HIDDEN; Wed, 28 Sep 2016 12:36:28 -0400
Received: from [10.9.9.212] (helo=mailfront12.runbox.com)
 by bars.runbox.com with esmtp (Exim 4.71)
 (envelope-from <ng0@HIDDEN>) id 1bpHqK-0000J8-98
 for bug-guix@HIDDEN; Wed, 28 Sep 2016 18:36:24 +0200
Received: from x5d83e56d.dyn.telefonica.de ([93.131.229.109] helo=localhost)
 by mailfront12.runbox.com with esmtpsa (uid:892961 )
 (TLS1.2:RSA_AES_256_CBC_SHA1:256) (Exim 4.82) id 1bpHpP-0007Jk-39
 for bug-guix@HIDDEN; Wed, 28 Sep 2016 18:35:27 +0200
From: ng0 <ngillmann@HIDDEN>
To: bug-guix@HIDDEN
Subject: python importer: extend requirements import
Date: Wed, 28 Sep 2016 16:35:26 +0000
Message-ID: <87wphwj835.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

One example:

ng0@shadowwalker ~$ guix import pypi hyperkitty

Starting download of /tmp/guix-file.yrqmcv
From https://pypi.python.org/packages/47/2d/cc2adf4bc0ed7bb4189b3146dde921c9a6ecc33f0f87c96c744d89bab154/HyperKitty-1.0.3.tar.gz...
 …1.0.3.tar.gz  1.5MiB              1.1MiB/s 00:01 [####################] 100.0%
tar: HyperKitty-1.0.3/requirements.txt: Not found in archive
tar: Exiting with failure status due to previous errors
guix import: warning: 'tar xf' failed with exit code 512
(package
  (name "python-hyperkitty")
  (version "1.0.3")


When you look at the contained setup.py of hyperkitty, it has this
defined in setup.py.

# Requirements REQUIRES = [
etc etc

I've seen this in some variations.

The python importer should be extended to include these not very unusual
cases.
-- 
              ng0




Acknowledgement sent to ng0 <ngillmann@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#24557; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 29 Sep 2016 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.